#!/bin/bash
tail -n +5 /var/lib/rbldns/ahbl-rbldnsd/rhsbl.private.ahbl.org | \
	grep '^[[:blank:]]*[^[:blank:]#;:]' |\
	cut -d . -f 2- | \
	egrep "^(([[:alpha:]](-?[[:alnum:]])*)\.)+[[:alpha:]]{2,}$" \
	| grep "\S" \
	| sort > /var/www/downloads.ahbl.org/rspamd/ahbl-badrep-domains.map

for i in `ls *.map`; do
	rm $i.zst
	zstd -19 $i
done
